package com.srs.comprehensive.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.SrsSportTest;
import com.srs.comprehensive.domain.Vo.SrsSportTestStudent;

import java.util.List;

/**
 * 体能测试Service接口
 * 
 * @author srs
 * @date 2023-06-28
 */
public interface ISrsSportTestService 
{

    public AjaxResult editStuScore(SrsSportTest param);


    /**
     * 查询体能测试
     * 
     * @param id 体能测试主键
     * @return 体能测试
     */
    public SrsSportTest selectSrsSportTestById(Long id);

    /**
     * 查询体能测试列表
     * 
     * @param srsSportTest 体能测试
     * @return 体能测试集合
     */
    public List<SrsSportTest> selectSrsSportTestList(SrsSportTest srsSportTest);

    /**
     * 新增体能测试
     * 
     * @param srsSportTest 体能测试
     * @return 结果
     */
    public int insertSrsSportTest(SrsSportTest srsSportTest);

    /**
     * 修改体能测试
     * 
     * @param srsSportTest 体能测试
     * @return 结果
     */
    public int updateSrsSportTest(SrsSportTest srsSportTest);

    /**
     * 批量删除体能测试
     * 
     * @param ids 需要删除的体能测试主键集合
     * @return 结果
     */
    public int deleteSrsSportTestByIds(Long[] ids);

    /**
     * 删除体能测试信息
     * 
     * @param id 体能测试主键
     * @return 结果
     */
    public int deleteSrsSportTestById(Long id);

    /**
     * 体能测试批量新增
     */
    int insertSrsSportTestStudent(List<SrsSportTestStudent> insertSrsSportTestStudentS);

    //中间表添加数据
    public List<String> addSrsSportTest();
}
